<?php

namespace Drupal\pagedesigner_block_adaptable\Plugin\pagedesigner_block_adaptable\Filter;

/**
 * Process entities of type "NID Filter".
 *
 * @PagedesignerFilter(
 *   id = "pagedesigner_filter_nid",
 *   name = @Translation("NID filter"),
 *   types = {
 *     "nid_views_filter",
 *   }
 * )
 */
class NidFilter extends EntityFilter {

  /**
   * {@inheritDoc}
   */
  public function adjustFilter(array &$filterDefinition) {
    if (empty($filterDefinition['pagedesigner_trait_type'])) {
      $filterDefinition['pagedesigner_trait_type'] = 'multiplecheckbox';
    }
    if (empty($filterDefinition['entity_type'])) {
      $filterDefinition['entity_type'] = 'node';
    }
  }

}
